=== debian/changelog ===
kdevelop (4:5.6.2-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 4688d626c145711e35f3676dbd4c827b3b2ea7f6 to fix
    the detection of the clang version from its version string; patch
    upstream_Fix-test_codecompletion-test_duchain-clang-test_prob.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 10 Feb 2021 14:01:07 +0100

kdevelop (4:5.6.2-3) unstable; urgency=medium

  * Team upload.
  * Remove extra quoting for clang architectures.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 13:01:52 +0100

kdevelop (4:5.6.2-2) unstable; urgency=medium

  * Team upload.
  * Generate a clang dependency only on architectures that use clang.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 12:17:45 +0100

kdevelop (4:5.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Require the same version of the clang-N used for the build: this is because
    kdevelop hardcodes the clang version and its include path, so we should not
    let an older clang than the build one be usable.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 10:19:20 +0100

kdevelop (4:5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - improves the detection of the GDB version (Closes: #975337)
  * Remove the upstream GPG signing key, as it changed and I cannot find the
    new one publically.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Move the creation of /usr/share/kdevclangsupport from a dh_install override
    to a dh_auto_install one, where it is more logic to do.
  * Do not ship /usr/share/kdevqmljssupport/propertywidgets/README, as it is
    useful only in the sources.
  * Switch the watch file to version 4, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2020 10:12:48 +0100

kdevelop (4:5.6.0-3) unstable; urgency=medium

  * Team upload.
  * Adapt to krunner 5.72.0: (Closes: #972848)
    - stop installing file no more needed for it
    - bump libkf5runner-dev build dependency
  * Fix day-of-week for changelog entries 4:3.1.2-4, 4:3.1.2-3, 4:3.1.0-3,
    1:2.999-0cvs20030905, 1:2.999-0cvs20030815, 1:2.999-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Oct 2020 08:23:16 +0100

kdevelop (4:5.6.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 16:31:00 +0200

kdevelop (4:5.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - bump KF packages to 5.50.0
  * Rename packages according to the SONAME bumps:
    - kdevelop55-libs -> kdevelop56-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 34, according to upstream.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Sep 2020 22:25:19 +0200
