=== debian/watch ===
version=4
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevelop-([\d.]+)\.tar\.xz
